# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "fatigue"
version = "0.2.20"
authors = ["Dylan Ross <pdylanross@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "an extensible load testing tool"
homepage = "https://github.com/pdylanross/fatigue"
readme = "README.md"
license = "Apache-2.0"
repository = "https://github.com/pdylanross/fatigue"
resolver = "1"

[[bin]]
name = "fatigue"
path = "src/main.rs"

[dependencies.clap]
version = "4.1.9"
features = ["derive"]

[dependencies.console]
version = "0.16.3"

[dependencies.crossterm]
version = "0.29.0"

[dependencies.figment]
version = "0.10.19"
features = [
    "env",
    "yaml",
]

[dependencies.humantime]
version = "2.3.0"

[dependencies.itertools]
version = "0.14.0"

[dependencies.libfatigue]
version = "0.2.20"

[dependencies.num-format]
version = "0.4.4"

[dependencies.prettytable-rs]
version = "0.10.0"

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_json]
version = "1.0.149"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.50.0"
features = ["full"]
